Commit fc453dc0 authored by Mike Hibler's avatar Mike Hibler

Comment out TPM-aware "imagekey" call.

This call is already done in script1.sh. My intention in putting it in
rc.frisbee was to phase out script[12].sh. But there is enough magic in
those scripts that I am just going to leave them be. In particular is the
constant restarting of tcsd to avoid hangs.
parent 6b0967f1
#!/bin/sh
#
# EMULAB-COPYRIGHT
# Copyright (c) 2000-2011 University of Utah and the Flux Group.
# Copyright (c) 2000-2012 University of Utah and the Flux Group.
# All rights reserved.
#
# Optional flag argument says "do not reboot"
......@@ -438,11 +438,17 @@ BOSSIP=${BOSSINFO##* }
STATUS=`$BINDIR/tmcc status`
if [ $secure -eq 1 ]; then
echo "Requesting secure load info data..."
# -v 33 is temporary until tmcc binary is updated
if ! $BINDIR/tmcc -v 33 -T imagekey > /tmp/secureloadinfo.out; then
echo "*** Failed to get secure loadinfo data" 1>&2
exit 2
## XXX this is done by "script1.sh" which takes pain to ensure we don't
## hang accessing the TPM.
#echo "Requesting secure load info data..."
## -v 33 is temporary until tmcc binary is updated
#if ! $BINDIR/tmcc -v 33 -T imagekey > /tmp/secureloadinfo.out; then
# echo "*** Failed to get secure loadinfo data" 1>&2
# exit 2
#fi
if [ ! -e "/tmp/secureloadinfo.out" ]; then
echo "*** No secureloadinfo data!" 1>&2
exit 3
fi
else
$BINDIR/tmcc state RELOADSETUP
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment